       IDENTIFICATION DIVISION.
       PROGRAM-ID.    MENU05.

      ******************************************************
      * REPORTE DE CLIENTES USANDO COBVIEW
      ******************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

           COPY "CLIENTES.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".

       COPY "CLIENTES.FD".

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

       77  STAT-CAT                  PIC XX.
       77  WF-CLIENTES               PIC X(50).
       77  FLAG-ROW                  PIC 9.
       
       77  MEM-LINE      PIC X(150).
       77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  LS-LOGINOK            PIC X(10).
           

       01  DETA1.
           02 FILLER           PIC X(08) VALUE "<COL #1>".
           02 DET1-KEY         PIC 9(05).
           02 FILLER           PIC X(08) VALUE "<COL #2>".
           02 DET1-NAME        PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #3>".
           02 DET1-ADDRESS     PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #4>".
           02 DET1-CITY        PIC X(50).

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT CLIENTES.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

      *     IF LS-LOGINOK NOT = "COB1357"
      *        MOVE SPACES TO HTTP-DATA-INP
      *        CALL "MENU01" USING HTTP-CONTROL HTTP-DATA-INP
      *       GO TO 999-EXIT.

           PERFORM TPL-OPEN-FILE.
           
           PERFORM 500-TITLES.

           MOVE "CLIENTES.DAT" TO WF-CLIENTES.
           OPEN INPUT CLIENTES.

           IF STAT-CAT NOT = "00"
              PERFORM 900-MSG-ERROR.

           IF STAT-CAT = "00"
              PERFORM 100-LEE THRU 100-EXIT.

           CLOSE CLIENTES.

           CLOSE HTML-OUT.

           GO TO 999-EXIT.

       100-LEE.
           READ CLIENTES NEXT RECORD AT END GO 100-EXIT.
           
           MOVE C03-CLAVE     TO DET1-KEY.
           MOVE C03-NOMBRE    TO DET1-NAME.
           MOVE C03-DIRECCION TO DET1-ADDRESS.
           MOVE C03-POBLACION TO DET1-CITY.

           WRITE R-HTML-OUT FROM DETA1.

           GO 100-LEE.
       100-EXIT.
           EXIT.
           
       500-TITLES.
           MOVE SPACES TO MEM-LINE.
           STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
                  DELIMITED BY SIZE INTO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.
           
           MOVE "<include 'reps\report1.def'>" TO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.

           MOVE "<body>" TO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.



       900-MSG-ERROR.
           MOVE "<CENTER><BIG>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           STRING "<BR>ARCHIVO = ", WF-CLIENTES
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.

           MOVE "</BIG></CENTER>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.



       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

